[Bug 251626] math/py-numpy: Update to 1.20.3 (compatible with Python 3.9)

From: <bugzilla-noreply_at_freebsd.org>
Date: Wed, 21 Jul 2021 09:21:21 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251626

--- Comment #42 from Kubilay Kocak <koobs_at_FreeBSD.org> ---
(In reply to Thierry Thomas from comment #41)

It is an issue, but it is the price we pay for wanting to package Python
programs

We can address the issue in several ways, none resolving it completely. This is
a conversation for the Python team that we'd love interested people to
participate in.

Shared macros though, don't fix the problem, they make the problem worse. Ports
build because the 'version spec' is apparently 'satisfied', but then are broken
at rutime, because they're actually not. There is no such thing as a shared
version spec in the Python world. Every upstream package declares their
dependencies individually and arbitrarily. We can pretend they're 'shared' to
make builds work, but this doesn't mean 'usable' software for ports and package
users.

I'll respond to the exp-run issue offline

-- 
You are receiving this mail because:
You are the assignee for the bug.
You are on the CC list for the bug.
Received on Wed Jul 21 2021 - 09:21:21 UTC

Original text of this message